Subject: [Fot] Hydraulic floor jack recommendations?

From: Scott Janzen via Fot <[email-masked]>
Date: Mon, 30 Oct 2023 21:53:25 -0400

--===============6957839916513547924==
	boundary="Apple-Mail=_436107B3-A64B-40A4-B3F0-C3A9EECB23F4"

--Apple-Mail=_436107B3-A64B-40A4-B3F0-C3A9EECB23F4
Content-Transfer-Encoding: quoted-printable
	charset=us-ascii

My Jegs 2T aluminum floor jack gave up after about 6-7 years.  Good jack =
while it lasted, bigger/more stable than a harbor freight but light =
enough that I still took it on race weekends.
Any suggestions on what to buy?  I was not totally impressed with the =
lifespan of this, though I suspect the 2 ton rating is optimistic and it =
did not like jacking up my Ford Expedition once in a while.=

--Apple-Mail=_436107B3-A64B-40A4-B3F0-C3A9EECB23F4
Content-Transfer-Encoding: 7bit
	charset=us-ascii

<html><head><meta http-equiv="Content-Type" content="text/html; charset=us-ascii"></head><body style="word-wrap: break-word; -webkit-nbsp-mode: space; line-break: after-white-space;" class="">My Jegs 2T aluminum floor jack gave up after about 6-7 years. &nbsp;Good jack while it lasted, bigger/more stable than a harbor freight but light enough that I still took it on race weekends.<div class="">Any suggestions on what to buy? &nbsp;I was not totally impressed with the lifespan of this, though I suspect the 2 ton rating is optimistic and it did not like jacking up my Ford Expedition once in a while.</div></body></html>
--Apple-Mail=_436107B3-A64B-40A4-B3F0-C3A9EECB23F4--

--===============6957839916513547924==
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://autox.team.net/archive http://www.team.net/pipermail/fot

--===============6957839916513547924==--